classification
Title: test_regrtest hanged on AMD64 Windows10 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2019-10-04 00:10 by vstinner, last changed 2019-10-10 14:11 by vstinner. This issue is now closed.

Messages (2)
msg353889 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 00:10
https://buildbot.python.org/all/#/builders/3/builds/3617

...
0:25:50 load avg: 0.00 running: test_regrtest (13 min 48 sec)
0:26:20 load avg: 0.00 running: test_regrtest (14 min 18 sec)
0:26:50 load avg: 0.00 running: test_regrtest (14 min 48 sec)
0:27:02 load avg: 0.00 [419/419/1] test_regrtest crashed (Exit code 1)

(...)

0:27:02 load avg: 0.00 Re-running failed tests in verbose mode
0:27:02 load avg: 0.00 Re-running test_regrtest in verbose mode

Timeout (0:15:00)!
Thread 0x00002ee0 (most recent call first):
  File "D:\buildarea\3.x.bolen-windows10\build\lib\subprocess.py", line 1457 in _readerthread
  File "D:\buildarea\3.x.bolen-windows10\build\lib\threading.py", line 882 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\threading.py", line 944 in _bootstrap_inner
  File "D:\buildarea\3.x.bolen-windows10\build\lib\threading.py", line 902 in _bootstrap

Thread 0x00002140 (most recent call first):
  File "D:\buildarea\3.x.bolen-windows10\build\lib\threading.py", line 1039 in _wait_for_tstate_lock
  File "D:\buildarea\3.x.bolen-windows10\build\lib\threading.py", line 1023 in join
  File "D:\buildarea\3.x.bolen-windows10\build\lib\subprocess.py", line 1486 in _communicate
  File "D:\buildarea\3.x.bolen-windows10\build\lib\subprocess.py", line 1113 in communicate
  File "D:\buildarea\3.x.bolen-windows10\build\lib\subprocess.py", line 499 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\test_regrtest.py", line 504 in run_command
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\test_regrtest.py", line 529 in run_python
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\test_regrtest.py", line 584 in run_tests
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\test_regrtest.py", line 610 in test_module_autotest
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\case.py", line 616 in _callTestMethod
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\case.py", line 659 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\case.py", line 719 in __call__
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\suite.py", line 122 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\suite.py", line 84 in __call__
  File "D:\buildarea\3.x.bolen-windows10\build\lib\unittest\runner.py", line 176 in run
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\support\__init__.py", line 2032 in _run_suite
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\support\__init__.py", line 2128 in run_unittest
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\runtest.py", line 209 in _test_module
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\runtest.py", line 234 in _runtest_inner2
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\runtest.py", line 270 in _runtest_inner
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\runtest.py", line 140 in _runtest
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\runtest.py", line 193 in runtest
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\runtest_mp.py", line 67 in run_tests_worker
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\main.py", line 654 in _main
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\main.py", line 634 in main
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\main.py", line 712 in main
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\regrtest.py", line 43 in _main
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\regrtest.py", line 47 in <module>
  File "D:\buildarea\3.x.bolen-windows10\build\lib\runpy.py", line 85 in _run_code
  File "D:\buildarea\3.x.bolen-windows10\build\lib\runpy.py", line 192 in _run_module_as_main

(...)

1 re-run test:
    test_regrtest

Total duration: 27 min 35 sec
Tests result: FAILURE then SUCCESS


Traceback (most recent call last):
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\support\__init__.py", line 1049, in temp_dir
    yield path
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\support\__init__.py", line 1101, in temp_cwd
    yield cwd_dir
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\main.py", line 634, in main
    self._main(tests, kwargs)
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\libregrtest\main.py", line 707, in _main
    sys.exit(0)
SystemExit: 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\buildarea\3.x.bolen-windows10\build\lib\test\support\__init__.py", line 336, in _force_run
    return func(*args)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'D:\\buildarea\\3.x.bolen-windows10\\build\\build\\test_python_9260\\test_python_worker_11168'
msg354381 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-10 14:11
I hope that this bug has been fixed by my latest fix for bpo-37531.
History
Date User Action Args
2019-10-10 14:11:53vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg354381

stage: resolved
2019-10-04 00:10:21vstinnercreate